package cn.fw.morax.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * excel表格导出
 *
 * @author Devin
 * @date: 2018/11/27 14:10
 */
@Target({ElementType.FIELD})//只作用在字段上
@Retention(RetentionPolicy.RUNTIME)//运行时有效
public @interface ExcelField {

    /**
     * excel表头名称
     *
     * @return
     */
    String title() default "";

    /**
     * sort 排序
     *
     * @return
     */
    int sort() default 0;

    /**
     * 字符长度
     *
     * @return
     */
    int charSize() default 0;

}
