package cn.fw.morax.dao.kpi;

import cn.fw.morax.domain.db.kpi.KpiPoolIndicatorValue;
import cn.fw.morax.domain.vo.kpi.KpiPoolIndicatorValueVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @className : KpiPoolIndicatorValueDao
 * @description : 绩效人员业务指标
 * @date: 2022-04-06 14:38
 */
@Repository
public interface KpiPoolIndicatorValueDao extends BaseMapper<KpiPoolIndicatorValue> {

    /**
     * 获取员工某月指标记录
     * @param kpiPoolId
     * @param kpiGroupId
     * @param localDate
     * @return
     */
    List<KpiPoolIndicatorValueVO> getStaffIndicatorValue(@Param("kpiPoolId") Long kpiPoolId,
                                                         @Param("kpiGroupId") Long kpiGroupId,
                                                         @Param("dataDate") LocalDate localDate);
}
