package cn.fw.morax.domain.bo.kpi;

import cn.fw.morax.domain.enums.StarEvaluationEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiGroupCalculableRankBO
 * @description : 需要计算绩效排名的绩效组
 * @date : 2022-04-16 11:31
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KpiRankCalculableBO {
    /**
     * 星级评定方式;1:绩效得分率 2:人员百分比
     */
    private StarEvaluationEnum starEvaluationType;
    /**
     * 撤销D级得分率
     */
    private BigDecimal revokedScoreRatio;
    /**
     * 星级阶梯
     */
    private List<KpiStarLadderBO> starLadders;
}
