package cn.fw.morax.domain.db.kpi;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDate;
import java.util.Date;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiMqLog
 * @description : 绩效上报mq发送记录
 * @date : 2022-04-12 18:10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class KpiMqLog extends Model<KpiMqLog> {
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 指标编号
     */
    private String indicatorCode;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 发送时间
     * 可能为过去时间
     */
    private LocalDate sendDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 创建时间
     */
    @TableField(insertStrategy = FieldStrategy.NOT_NULL, fill = FieldFill.INSERT)
    private Date createTime;
}
