package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬组薪酬项目
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SalaryGroupProject extends BaseAuditableTimeEntity<SalaryGroupProject, Long> {
    /**
     * 薪酬组id
     */
    private Long salaryGroupId;
    /**
     * 薪酬项目id
     */
    private Long salaryProjectId;
    /**
     * 薪酬项目编码
     */
    private String salaryProjectCode;
    /**
     * 薪酬项目名称
     */
    private String salaryProjectName;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯(单) 4:按量 5: 固定提成 6:阶梯(总) 7:动态
     */
    private SalaryCalMethodEnum calMethod;
    /**
     * 唯一值;是否允许有多个相同项目
     */
    private Boolean single;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}