package cn.fw.morax.domain.db.salary;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬项目配置
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SalaryGroupProjectSettin extends BaseAuditableTimeEntity<SalaryGroupProjectSettin, Long> {
    /**
     * 薪酬项目配置id
     */
    private Long salaryGroupProjectId;
    /**
     * 阶梯key;新车销售按车系计算对应车系id
     * 星级则是对应星级枚举
     * 阶梯等则是对应指标id
     */
    private Long stairKey;
    /**
     * 阶梯key对应描述
     */
    private String stairKeyDesc;
    /**
     * 计算相关值
     */
    private BigDecimal stairValue;
    /**
     * 阶梯值下限
     */
    private Integer stairMin;
    /**
     * 阶梯值上限;阶梯值上限
     */
    private Integer stairMax;
    /**
     * 逻辑删除
     */
    private Boolean yn;
}