package cn.fw.morax.domain.dto;

import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 星级评定阶梯
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class KpiStarLaddersDTO extends AbstractLaddersDto {

    /**
     * 等级;1:A 2:B 3:C 4:D
     */
    @NotNull(message = "星级评定等级不能为空")
    private StarLevelEnum level;

    @Override
    public String getBusinessName() {
        return "星级评定阶梯";
    }
}