package cn.fw.morax.domain.dto;

import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 薪酬通用设置
 */
@Data
public class SalaryGeneralSettinDTO {
    /**
     * 管理层可见
     */
    @NotNull(message = "开放管理层查看薪酬不能为空")
    private Boolean leaderVisibility;

    /**
     * 可申诉开始日期;
     */
    @NotNull(message = "可申诉开始日期不能为空")
    @Max(value = 28, message = "可申诉开始日期不能大于28")
    @Min(value = 1, message = "可申诉开始日期不能小于1")
    private Integer startDateOfAppeal;

    /**
     * 可申诉结束日期;
     */
    @NotNull(message = "可申诉结束日期不能为空")
    @Max(value = 28, message = "可申诉结束日期不能大于28")
    @Min(value = 1, message = "可申诉结束日期不能小于1")
    private Integer endDateOfAppeal;

    /**
     * 薪资发放日期;取值1-28（每月）
     */
    @NotNull(message = "薪资发放日期不能为空")
    @Max(value = 28, message = "28")
    @Min(value = 1, message = "薪资发放日期不能小于1")
    private Integer payoffDate;

    /**
     * 薪资发放公户限额;元 0元则不限制
     */
    private Integer payoffLimit;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;
}