package cn.fw.morax.domain.dto.query;

import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;

import java.util.List;

@Data
public class SalaryProjectPostQueryDTO {

    /**
     * 角色编码
     */
    private List<String> roleCodes;

    /**
     * 查询管理角色
     */
    private Boolean queryManagerRole;

    /**
     * 适用所有角色类型;
     */
    private ApplicableRoleEnum allRoleType;

    /**
     * 适用自定义角色类型;
     */
    private ApplicableRoleEnum portionRoleType;

    /**
     * 适用角色类型;1: 全部角色 2:全部管理角色 3:自定义
     */
    private ApplicableRoleEnum managerRoleType;

    /**
     * 启用/禁用;
     * 0:禁用 1:启用
     */
    private Boolean enable;

    public SalaryProjectPostQueryDTO() {
    }

    public SalaryProjectPostQueryDTO(List<String> roleCodes, Boolean queryManagerRole) {
        this.roleCodes = roleCodes;
        this.queryManagerRole = queryManagerRole;
        this.allRoleType = ApplicableRoleEnum.ALL;
        this.portionRoleType = ApplicableRoleEnum.PORTION;
        this.managerRoleType = ApplicableRoleEnum.MANAGEMENT_ROLE;
    }
}
