package cn.fw.morax.domain.vo.kpi;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.db.kpi.Indicators;
import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import cn.fw.morax.domain.enums.KpiTargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-2
 * @desc : 指标库
 */
@Data
public class IndicatorsVO {
    /**
     * 指标id
     */
    private Long id;
    /**
     * 指标编号
     */
    private String indicatorCode;
    /**
     * 指标名称
     */
    private String indicatorName;
    /**
     * 归属系统id
     */
    private Long sysId;
    /**
     * 归属系统名称
     */
    private String sysName;
    /**
     * 适用角色类型;1: 全部角色 2:全部管理角色 3:自定义
     */
    private ApplicableRoleEnum roleType;
    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额
     */
    private KpiTargetTypeEnum targetType;
    /**
     * 适用角色编码
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleCodes;
    /**
     * 适用角色名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleNames;
    /**
     * 启用/禁用;
     * 0:禁用 1:启用
     */
    private Boolean enable;
    /**
     * 集团id
     */
    private Long groupId;

    public static void main(String[] args) {
        Indicators indicators = new Indicators();
        IndicatorsVO indicatorsVo = new IndicatorsVO();
        System.out.println(indicators instanceof BaseEntity);
        System.out.println(Indicators.class.isAssignableFrom(Indicators.class));
        System.out.println(IndicatorsVO.class.isAssignableFrom(Indicators.class));
//        System.out.println(indicatorsVo instanceof BaseEntity);
    }

}