package cn.fw.morax.domain.vo.kpi;

import cn.fw.morax.common.constant.Constant;
import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分阶梯
 */
@Data
public class KpiGroupRankStarLaddersVO {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 绩效排名组合id
     */
    private Long kpiGroupRankId;
    /**
     * 等级;1:A 2:B 3:C 4:D
     */
    private StarLevelEnum level;
    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;
    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;
    /**
     * 标准分;本阶梯对应标准分
     */
    private Integer standardScore;

    /**
     * 是否命中
     */
    private Boolean hit;

    /**
     * 转换为百分数展示
     */
    public void convertToPercent(){
        this.setUpper(this.getUpper().multiply(Constant.ONE_HUNDRED));
        this.setLower(this.getLower().multiply(Constant.ONE_HUNDRED));
    }

}