package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.domain.enums.SalaryCalMethodEnum;
import cn.fw.morax.domain.vo.kpi.KpiGroupIndicatorLaddersVO;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 指标项得分详情
 */
@Data
public class SalaryGroupIndicatorDetailVO {

    /**
     * 开始时间
     */
    private LocalDateTime beginDate;

    /**
     * 截止时间
     */
    private LocalDateTime endDate;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 薪酬项目编码
     */
    private String salaryProjectCode;
    /**
     * 薪酬项目名称
     */
    private String salaryProjectName;
    /**
     * 计算方式;1: 星级 2:固定金额 3:阶梯提成(单) 4:按量 5: 固定提成 6:阶梯提成(总)
     */
    private SalaryCalMethodEnum calMethod;

    /**
     * 薪酬值
     */
    private BigDecimal salaryValue;

    /**
     * 指标项得分阶梯
     */
    private List<SalaryGroupProjectSettinVO> settings;

}