package cn.fw.morax.rpc.backlog.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;
import java.util.Map;

/**
 * @author : kurisu
 * @className : BacklogBatchPlanItemReqDTO
 * @description : 批量提交待办参数
 * @date: 2020-08-29 09:53
 */
@Data
@ToString
@EqualsAndHashCode
public class BacklogBatchPlanItemReqDTO {
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 数据id
     */
    private String dataId;

    /**
     * 发生时间
     */
    private Date planTime;

    /**
     * 角色码
     */
    private String roleCode;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 动态对象
     */
    private Map<String, String> dynamicMap;

    /**
     * 额外参数 可以由待办携带至业务系统提供的详情页面
     */
    private Map<String, Object> extraData;

    /**
     * 待办备注
     */
    private String remark;
}
