package cn.fw.morax.server.config;

import com.baomidou.mybatisplus.core.incrementer.IdentifierGenerator;
import com.github.yitter.contract.IdGeneratorOptions;
import com.github.yitter.idgen.YitIdHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

/**
 * 自定义id生成器
 *
 * @author kurisu
 */
@Slf4j
@Component
@Scope("singleton")
public class CustomIdentifierGenerator implements IdentifierGenerator {
    static {
        //全局初始化设置WorkerId，默认最大2^16-1，可通过调整 WorkerIdBitLength 增加最大值
        IdGeneratorOptions options = new IdGeneratorOptions();
        options.WorkerId = 1;
        options.WorkerIdBitLength = 6;
        YitIdHelper.setIdGenerator(options);
        log.info("------------------初始化IdentifierGenerator------------------------");
    }

    @Override
    public Long nextId(Object entity) {
        //根据bizKey调用分布式ID生成
        return YitIdHelper.nextId();
    }
}