package cn.fw.morax.service.biz.calculator.kpi;

import cn.fw.morax.domain.db.kpi.*;
import cn.fw.morax.domain.db.salary.SalaryGroupUser;
import cn.fw.morax.domain.db.salary.SalaryPool;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import cn.fw.morax.service.biz.calculator.Calculator;
import cn.fw.morax.service.data.kpi.KpiGroupIndicatorLaddersService;
import cn.fw.morax.service.data.kpi.KpiIndicatorHitLogService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;

import static cn.fw.common.businessvalidator.Validator.BV;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiBaseCalculator
 * @description : 绩效计算器
 * @date : 2022-04-18 11:28
 */
@Slf4j
public abstract class KpiAbsBaseCalculator implements Calculator<KpiPoolIndicatorValue, KpiGroupIndicator, BigDecimal> {
    @Autowired
    protected KpiGroupIndicatorLaddersService kpiGroupIndicatorLaddersService;
    @Autowired
    protected KpiIndicatorHitLogService kpiIndicatorHitLogService;

    /**
     * 获取设置类型
     *
     * @return
     */
    public abstract ScoreWayEnum getCalMethod();

    /**
     * 记录命中配置
     *
     * @param indicatorValue
     * @param kpiGroupIndicatorId
     * @param kpiGroupIndicatorLaddersId
     * @param kpiValue
     */
    protected void saveHitLog(KpiPoolIndicatorValue indicatorValue, Long kpiGroupIndicatorId, Long kpiGroupIndicatorLaddersId, BigDecimal kpiValue) {
        KpiIndicatorHitLog hitLog = KpiIndicatorHitLog.builder()
                .kpiPoolId(indicatorValue.getKpiPoolId())
                .kpiGroupIndicatorId(kpiGroupIndicatorId)
                .kpiGroupIndicatorLaddersId(kpiGroupIndicatorLaddersId)
                .kpiValue(kpiValue)
                .dataDate(indicatorValue.getDataDate())
                .groupId(indicatorValue.getGroupId())
                .build();
        kpiIndicatorHitLogService.saveUnique(hitLog);
    }


}
