package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiGroupRankDao;
import cn.fw.morax.dao.kpi.KpiGroupRankStarLaddersDao;
import cn.fw.morax.domain.db.kpi.KpiGroupRank;
import cn.fw.morax.domain.db.kpi.KpiGroupRankStarLadders;
import cn.fw.morax.domain.dto.query.KpiGroupRankQueryDTO;
import cn.fw.morax.domain.vo.kpi.KpiGroupRankVO;
import cn.fw.morax.domain.vo.kpi.KpiPoolVO;
import cn.fw.morax.service.data.kpi.KpiGroupRankService;
import cn.fw.morax.service.data.kpi.KpiGroupRankStarLaddersService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
@AllArgsConstructor
public class KpiGroupRankServiceImpl extends ServiceImpl<KpiGroupRankDao, KpiGroupRank> implements KpiGroupRankService {

    @Override
    public long queryPageRankTotal(KpiGroupRankQueryDTO dto) {
        return this.getBaseMapper().queryPageRankTotal(dto);
    }

    @Override
    public List<KpiGroupRankVO> queryPageRank(KpiGroupRankQueryDTO dto) {
        Integer pageSize = dto.getPageSize();
        Integer current = dto.getCurrent();
        dto.setCurrent(current.equals(0) ? 0 : (current - 1) * pageSize);
        return this.getBaseMapper().queryPageRank(dto);
    }

    @Override
    public List<KpiGroupRankVO> queryByKgcs(List<String> kgcs, Long filterId) {
        return this.getBaseMapper().queryByKgcs(kgcs, filterId);
    }
}
