package cn.fw.morax.service.data.salary;

import cn.fw.morax.domain.db.salary.SalaryGroupUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.YearMonth;
import java.util.Date;

/**
 * @author : kurisu
 * @className : SalaryGroupUserService
 * @description : 薪酬组人员
 * @date: 2022-04-06 17:05
 */
public interface SalaryGroupUserService extends IService<SalaryGroupUser> {
    /**
     * 查询薪酬组人员
     *
     * @param userId   用户id
     * @param postId   岗位id
     * @param shopId   在职门店id
     * @param dataDate 日期
     * @return
     */
    SalaryGroupUser queryUserByPostShopAndUserId(final Long userId, final Long postId, final Long shopId, final Date dataDate);

    /**
     * 获取某月最近的薪酬组人员数据
     *
     * @param sgc
     * @param monthly
     * @return
     */
    SalaryGroupUser getMonthLastData(String sgc, Long userId, YearMonth monthly);
}
