package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryConfirmDao;
import cn.fw.morax.domain.db.salary.SalaryConfirm;
import cn.fw.morax.domain.enums.SalaryConfirmStatusEnum;
import cn.fw.morax.domain.vo.salary.SalaryConfirmVO;
import cn.fw.morax.service.data.salary.SalaryConfirmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryConfirmServiceImpl
 * @description : 薪酬确认记录
 * @date: 2022-04-06 17:05
 */
@Service
@Slf4j
public class SalaryConfirmServiceImpl extends ServiceImpl<SalaryConfirmDao, SalaryConfirm> implements SalaryConfirmService {

    @Override
    public Integer getCountShopNoConfirm(Long shopId, SalaryConfirmStatusEnum confirmedStatus, List<Long> excludeStaffIds) {
        return this.baseMapper.getCountShopNoConfirm(shopId, confirmedStatus, excludeStaffIds);
    }

    @Override
    public List<SalaryConfirmVO> getShopSalaryConfirm(Long shopId, SalaryConfirmStatusEnum confirmedStatus) {
        return this.baseMapper.getShopSalaryConfirm(shopId, confirmedStatus);
    }
}
