package cn.fw.morax.service.data.salary.impl;

import cn.fw.morax.dao.salary.SalaryProjectDao;
import cn.fw.morax.domain.db.kpi.Indicators;
import cn.fw.morax.domain.db.salary.SalaryProject;
import cn.fw.morax.domain.dto.query.IndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.SalaryIndicatorQueryDTO;
import cn.fw.morax.domain.dto.query.SalaryProjectPostQueryDTO;
import cn.fw.morax.domain.vo.kpi.IndicatorsVO;
import cn.fw.morax.domain.vo.salary.SalaryProjectSelectorVO;
import cn.fw.morax.domain.vo.salary.SalaryProjectVO;
import cn.fw.morax.service.data.salary.SalaryProjectService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : kurisu
 * @className : SalaryProjectServiceImpl
 * @description : 薪酬项
 * @date: 2022-04-06 17:05
 */

@Service
@Slf4j
public class SalaryProjectServiceImpl extends ServiceImpl<SalaryProjectDao, SalaryProject> implements SalaryProjectService {

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    @Override
    public Long indicatorsPageTotal(SalaryIndicatorQueryDTO dto) {

        return this.baseMapper.selectPageTotal(dto);
    }

    /**
     * 指标分页查询接口
     *
     * @param dto
     * @return
     */
    @Override
    public List<SalaryProjectVO> indicatorsPage(SalaryIndicatorQueryDTO dto) {

        return this.baseMapper.selectPageVo(dto);
    }

    @Override
    public List<SalaryProjectSelectorVO> getPostIndicators(SalaryProjectPostQueryDTO dto) {
        return this.baseMapper.getPostIndicators(dto);
    }

    @Override
    public SalaryProject queryByCode(@NonNull final String salaryCode, final Boolean checkEffective) {
        return getOne(Wrappers.<SalaryProject>lambdaQuery()
                        .eq(SalaryProject::getSalaryCode, salaryCode)
                        .eq(Boolean.TRUE.equals(checkEffective), SalaryProject::getEnable, Boolean.TRUE)
                        .eq(SalaryProject::getYn, Boolean.TRUE)
                , false);
    }
}
